echo off

@rem set here your BEA Home / ここに直接BEA_HOMEを書いてもOKです。以下の@remを消して設定してください。
set BEA_HOME=C:\bea1032

@rem set here your WebLogic Home / ここに直接WL_HOMEを設定してもOKです。以下の@remを消して設定してください。
@rem you can only set weblogic10 server folder. / 指定するのはweblogic10（マイナーバージョンは不問）のみ可能です。
set WL_HOME=C:\bea1032\wlserver_10.3


IF NOT DEFINED BEA_HOME goto missing
IF NOT DEFINED WL_HOME goto wlmissing
if not exist "%WL_HOME%\server\lib\weblogic.jar" goto filemissing

set QB_CLASS_PATH=%WL_HOME%\server\lib\weblogic.jar;%WL_HOME%\server\lib\wljmsclient.jar;%WL_HOME%\server\lib\wlclient.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.security.identity_1.1.2.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.transaction_2.6.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.security.wls_1.0.0.0_5-2-0-0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.utils.full_1.7.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.security_1.0.0.0_5-2-0-0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.rmi.client_1.6.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.utils.classloaders_1.6.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.management.core_2.5.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.descriptor_1.7.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.logging_1.6.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.socket.api_1.0.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.common.security.api_1.0.0.0_5-2-0-0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.security.digest_1.0.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.workmanager_1.7.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.weblogic.lifecycle_1.3.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.utils.wrapper_1.4.0.0.jar
set QB_CLASS_PATH=%QB_CLASS_PATH%;%BEA_HOME%\modules\com.bea.core.store_1.5.0.0.jar


start "QBrowserV2ForWebLogic" javaw -Xms128m -Xmx512m -splash:cube.png -cp .\QBrowserV2_Neo.jar;.\jide-oss-2.6.2.jar;%QB_CLASS_PATH%;.\imq.jar com.qbrowser.QBrowserV2ForWLMQ
goto :eof

:missing
echo 環境変数BEA_HOMEを設定するか、run_wls_mqの先頭部分に記述してください
echo 例：set BEA_HOME=c:\bea
goto :eof

:wlmissing
echo 環境変数WL_HOMEを設定してください
echo 例：set WL_HOME=C:\bea\wlserver_10.3
goto :eof

:filemissing
echo 環境変数WL_HOMEを正しく設定してください。WebLogicServer関連ファイルが見つかりません。
goto :eof